// Australian Defence Forces Vehicle Addon Pack
// By Stu "StuKa" Saville (STU) & Damion "Steele" Maddison (STL)
// StuSav@bigpond.com

// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgPatches
{
	class STU_M113A1_Cam2
      // Ver1.0 24/11/01
	{
		units[] = {STU_M113A1_Cam2};
		weapons[] = {};
		requiredVersion = 1.30;
	};

	class STU_S70
      // Ver1.0 24/11/01
	{
		units[] = {};
		weapons[] = {STU_S70};
		requiredVersion = 1.30;
	};
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgAmmo
{
	class Default {};
	class BulletSingle : Default {};
	class STL_Browning_M2_Round: BulletSingle
      // Browning M2 Round for M113A1
      {
		hit=20;indirectHit=0.1;indirectHitRange=0.1;
	};

	class STL_Browning_M1919A4_Round: BulletSingle
      // Browning M1919A4 Round for M113A1
      {
		hit=13;indirectHit=0.1;indirectHitRange=0.1;
	};
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class STL_Browning_M2: MachineGun30
	// M113A1 Mounted Browning M2
	{
		ammo=STL_Browning_M2_Round;
		count=110;
		reloadTime=0.1;
		displayName = Browning .50cal;
		displayNameMagazine = Browning .50cal;
		shortNameMagazine = .50cal;
		sound[]={"Weapons\m2-50-loop",31.622778,1};
	};	

	class STL_Browning_M1919A4: MachineGun30
	// M113A1 Mounted Browning M1919A4
	{
		ammo=STL_Browning_M1919A4_Round;
		count=110;
		reloadTime=0.1;
		displayName = Browning .30cal;
		displayNameMagazine = Browning .30cal;
		shortNameMagazine = .30cal;
		sound[]={"Weapons\M60mgun",3.162278,1};
	};	
};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgVehicles
{ 
     class All {};
     class AllVehicles: All{};
     class Land:AllVehicles{};
     class LandVehicle: Land{};
     class Tank:LandVehicle{};
     class APC:Tank{};
     class M113:APC{};
     class STU_M113A1_Cam2:M113
     // Australian Defence Forces - M113A1 Armoured Personel Carrier (Desert Pattern)
      {
            model="\STU ADF Vehicles\M113A1\STU_M113A1_Cam2";
            displayName="M113A1 (ADF Desert)";
            crew="STU_APC_Crew";
		SoundEngine[]={"\Sound\Vehicles\ModernIdle1.wss",db+10,1};
            transportSoldier=8;
            transportAmmo=1;
            transportWeapon=1;
		weapons[]={"STL_Browning_M2","STL_Browning_M1919A4"};
		magazines[]={"STL_Browning_M2","STL_Browning_M2","STL_Browning_M2","STL_Browning_M1919A4","STL_Browning_M1919A4"};
            class TransportWeapons
            {
                 class STU_M113A1_WP1
                 {
                 Weapon="Steyr";
                 count=2;
                 };
                 class STU_M113A1_WP2
                 {
                 Weapon="AALauncher";
                 count=1;
                 };
                 class STU_M113A1_WP3
                 {
                 Weapon="LAWLauncher";
                 count=1;
                 };
            };
		class TransportMagazines
            {           
                  class STU_M113A1_AM1
                  {
                  magazine="AALauncher";
                  count=1;
                  };   
                  class STU_M113A1_AM2
                  {
                  magazine="LAWLauncher";
                  count=1;
                  };
                  class STU_M113A1_AM3
                  {
                  magazine="STL_84mmHE";
                  count=4;
                  };
                  class STU_M113A1_AM4
                  {
                  magazine="STL_84mmHEAT";
                  count=4;
                  };
                  class STU_M113A1_AM5
                  {
                  magazine="SteyrMag";
                  count=30;
                  };
                  class STU_M113A1_AM6
                  {
                  magazine="STL_Minimi";
                  count=6;
                  };
            };
	};

//-----------------------------------------------------------------------------------------------

      class Air:All{};
      class Helicopter:Air{};
      class UH60:Helicopter{};
      class UH60MG:UH60{};
      class STU_S70:UH60MG
      // Australian Defence Forces - S70 BlackHawk
      {
            model="\STU ADF Vehicles\S70 BlackHawk\STU_S70";
            displayName="ADF S70";
            crew="STU_Flight_Crew";
		SoundEngine[]={"\Sound\Vehicles\UH1.wss",db+10,1};
            transportSoldier=12;
            transportAmmo=1;
            transportWeapon=1;
            class TransportWeapons
            {
                 class STU_S70_WP1
                 {
                 Weapon="Steyr";
                 count=2;
                 };
            };
		class TransportMagazines
            {           
                  class STU_S70_AM1
                  {
                  magazine="SteyrMag";
                  count=8;
                  };
            };
      };
};

//----------------------------------------------------------------------------------------------
// --------------------------------------END FILE-----------------------------------------------
// ---------------------------------------------------------------------------------------------
